Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-37062

stapler implements Servlet API 2.5 yet Jenkins requires 3.1

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Stapler implements only the servlet 2.5 API - yet Jenkins uses 3.1

      If you attempt to use parts of the 3.1 API on a StaplerRequest or StaplerResponse then wierd/bad things could happen depending on what you get underneath..

      I have not observed any issues yet - but if you get a org.kohsuke.stapler.StaplerResponseWrapper rather than a org.kohsuke.stapler.ResponseImpl then things are liable to blow up. the same probably applies to StaplerRequest sub classes.

        Attachments

          Activity

          teilo James Nord created issue -
          oleg_nenashev Oleg Nenashev made changes -
          Field Original Value New Value
          Labels stapler
          teilo James Nord made changes -
          Remote Link This issue links to "upstream Stapler issue stapler/stapler#114 (Web Link)" [ 16407 ]
          teilo James Nord made changes -
          Assignee James Nord [ teilo ]
          teilo James Nord made changes -
          Status Open [ 1 ] In Progress [ 3 ]
          teilo James Nord made changes -
          Labels stapler stapler winstone
          teilo James Nord made changes -
          Labels stapler winstone core stapler winstone
          jglick Jesse Glick made changes -
          Status In Progress [ 3 ] Resolved [ 5 ]
          Resolution Fixed [ 1 ]
          jamesdumay James Dumay made changes -
          Remote Link This issue links to "CloudBees Internal OSS-2245 (Web Link)" [ 18375 ]

            People

            • Assignee:
              teilo James Nord
              Reporter:
              teilo James Nord
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: